> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current channel for channel API client

<Warning>
  This endpoint is in beta and subject to change.
</Warning>


## OpenAPI

````yaml openapi/channel-api.json GET /channel-api/v1.0/channel/current
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /channel-api/v1.0/channel/current:
    get:
      tags:
        - Channel
      summary: Get current channel for channel API client
      operationId: getCurrentChannel
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.app.channel.model.ChannelXResponse
components:
  schemas:
    com.fourthwall.app.channel.model.ChannelXResponse:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        keycloakClientId:
          type: string
        createdAt:
          type: string
          format: date-time
      required:
        - createdAt
        - id
        - keycloakClientId
        - name
      title: Channel X Response

````